AdminConfig (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.admin

## Class AdminConfig

- java.lang.Object
- - org.apache.geode.admin.AdminConfig

- Deprecated.
  as of 7.0 use the `management` package instead

      public class AdminConfig
      extends java.lang.Object

  AdminConfig loads/stores the member information list. The list contains all of the members being monitored. Config must be of the format:

- Name=What you want displayed as a name for the instance
- Type=SERVER|CLIENT
- Host=A valid hostname or IP Address where the instance is running
- Port=The port you are using to open the monitor port for the instance

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdminConfig.Entry` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminConfig()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AdminConfig.Entry[]` | `loadConfig(java.io.File file)` Deprecated.
    `static void` | `storeConfig(java.io.File file, AdminConfig.Entry[] entries)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminConfig

          public AdminConfig()

      Deprecated.

  - ### Method Detail

    - #### loadConfig

          public static AdminConfig.Entry[] loadConfig(java.io.File file)
                                                throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### storeConfig

          public static void storeConfig(java.io.File file,
                                         AdminConfig.Entry[] entries)
                                  throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`